REST APIWallet & TransactPending approval

PUT

Bulk update non-withdrawal pending approvals

Body Params

object

  • approvals array of objects required
    approvals object
    • paId string required
      Pending approval ID

      matches ^[0-9a-f]{32}$

    • status string enum required
      Approval action status
      approvedrejected
  • bailOnError boolean
    If true, stops processing on the first error. If false (default), continues processing all items.

    Defaults to false

Responses

200
OK

Response Body

object

Response type for bulk update
  • results array of objects required

    ONE OF

    • paId string required
      Pending approval ID
    • status string enum required
      Result status
      success
400
Bad Request

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
401
Unauthorized

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
403
Forbidden

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
404
Not Found

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
422
Unprocessable Entity

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
500
Internal Server Error

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id